Get year time spents

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Kitsu API MCP server": {
  "url": "https://api-docs.kitsu.cloud/mcp"
}
Close
GET /data/persons/{person_id}/time-spents/year/{year}

Get aggregated time spents for given person and year.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

  • year integer Required

    Year to get aggregated time spents for

Responses

  • 200 application/json

    Aggregated time spents for given person and year

    Hide response attributes Show response attributes object
    • total_duration number(float)

      Total duration in hours

    • year integer

      Year

  • 400

    Wrong date format

GET /data/persons/{person_id}/time-spents/year/{year}
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/year/2022" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/year/2022"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/year/2022' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "total_duration": 2080.5,
  "year": 2022
}